
QGIS Application - Bug report #21427

QGIS Server Labels character problem

2019-02-28 02:56 PM - Bela Kutfej

Status: Open

Priority: High

Assignee:

Category: QGIS Server

Affected QGIS version:3.4.5 Regression?: Yes

Operating System: debian stretch Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 29244

Description

I updated QGIS Server from "http://qgis.org/debian-ltr stretch" and after that, the labels in WMS:GetMap result does not show the "ő"

(hungarian) character.

History

#1 - 2019-02-28 03:03 PM - Bela Kutfej

In QGIS Desktop 3.4.5 the characters appear correctly.

#2 - 2019-02-28 03:11 PM - Alessandro Pasotti

Can you please set the corrected affected QGIS version?

#3 - 2019-03-01 10:12 PM - Giovanni Manghi

- Status changed from Open to Feedback

- Priority changed from Normal to High

Upgrades from 2.18?

#4 - 2019-03-01 10:13 PM - Giovanni Manghi

is this a qgis server issue or a wms client one?

#5 - 2019-03-02 06:47 AM - Bela Kutfej

This is a qgis server issue. And I try to change the labels font family the qgis desktop show it fine, but the qgis server does not change the font family.

#6 - 2019-03-02 08:55 AM - Giovanni Manghi

- Category changed from Web Services clients/WMS to QGIS Server

Bela Kutfej wrote:
This is a qgis server issue. And I try to change the labels font family the qgis desktop show it fine, but the qgis server does not change the font

family.

so the issue is that QGIS Server 3.4 always uses the same font? Never shows special chars in labels?

#7 - 2019-03-02 11:46 AM - Bela Kutfej

Yes.

#8 - 2019-03-02 11:54 AM - Giovanni Manghi

Bela Kutfej wrote:

Yes.

answering to the first question, the second or both?

#9 - 2019-03-02 01:52 PM - Bela Kutfej

Both.

#10 - 2019-03-02 10:11 PM - Giovanni Manghi

- Status changed from Feedback to Open

Files
